package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.bty_interface.action;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;
import info.aspirecn.rdc.iov.sjjh.servicenode.supplier.bty_interface.vo.ResponseObject;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;


/**
 * @Auther jianggang
 * @Date 2018/10/24 16:22:16
 * @Description
 */

@Api(value = "白天源通道接口API")
@FeignClient(name = "iov-sjjh-servicenode-supplier-10000002")
public interface BTYChannelAction {

    @ApiOperation(value = "身份证二要素")
    @PostMapping("/checkIdCardForBTY.do")
    ChannelTypeHandleResponseObject twoParamIdCard(
            @ApiParam(name = "通道id", required = true)
            @RequestHeader(name = "channelId", required = true) String channelId,
            @ApiParam(name = "超时时间", required = false)
            @RequestParam(name = "outTime", required = false) Integer outTime,
            @ApiParam(name = "身份证二要素json串", required = true)
            @RequestParam(name = "customBody", required = true) String customBody
    );

    @ApiOperation(value = "身份证二要素-WZ加密版")
    @PostMapping("/checkIdCardWeiZhong.do")
    ChannelTypeHandleResponseObject checkIdCardWeiZhong(
            @ApiParam(name = "通道id", required = true)
            @RequestHeader(name = "channelId", required = true) String channelId,
            @ApiParam(name = "超时时间", required = false)
            @RequestParam(name = "outTime", required = false) Integer outTime,
            @ApiParam(name = "身份证二要素json串", required = true)
            @RequestParam(name = "customBody", required = true) String customBody
    );

    @ApiOperation(value = "身份证二要素-MD5加密版")
    @PostMapping("/checkIdCardMD5.do")
    ChannelTypeHandleResponseObject checkIdCardMD5(
            @ApiParam(name = "通道id", required = true)
            @RequestHeader(name = "channelId", required = true) String channelId,
            @ApiParam(name = "超时时间", required = false)
            @RequestParam(name = "outTime", required = false) Integer outTime,
            @ApiParam(name = "身份证二要素json串", required = true)
            @RequestParam(name = "customBody", required = true) String customBody
    );

    @ApiOperation(value = "身份证二要素-SHA256加密版")
    @PostMapping("/checkIdCardSHA256.do")
    ChannelTypeHandleResponseObject checkIdCardSHA256(
            @ApiParam(name = "通道id", required = true)
            @RequestHeader(name = "channelId", required = true) String channelId,
            @ApiParam(name = "超时时间", required = false)
            @RequestParam(name = "outTime", required = false) Integer outTime,
            @ApiParam(name = "身份证二要素json串", required = true)
            @RequestParam(name = "customBody", required = true) String customBody
    );
}
